﻿using System;
using System.IO;
using System.Xml;

namespace Sonora.Console.Framework.API.Xml
{
    public class XmlFacade
    {
        private static StringWriter _buffer;
        private static XmlWriter _writer;
        private static XmlWriterSettings _settings;
        public XmlFacade()
        {
            _settings = new XmlWriterSettings {Indent = true};
            
        }

        public XmlFacade start()
        {
            _buffer = new StringWriter();
            _writer = XmlWriter.Create(_buffer, _settings);
            _writer.WriteStartDocument();
            return this;
        }

        public String end()
        {
            _writer.WriteEndDocument();
            _writer.Flush();
            var x = _buffer.ToString();
            return x;
        }

        public XmlFacade open(String node)
        {
            _writer.WriteStartElement(node);
            return this;
        }
        public XmlFacade val(Object content)
        {
            _writer.WriteValue(content);
            return this;
        }

        public XmlFacade close()
        {
            _writer.WriteEndElement();
            return this;
        }

        public XmlFacade attr(String name, Object content)
        {
            _writer.WriteAttributeString(name, content.ToString());
            return this;
        }
    }
}