﻿using System;
using System.Net;
using System.Web.Script.Serialization;

namespace Sonora.Console.Framework.Extensions
{
    public static class MiscExtensions
    {
        public static Int32 ToInt(this String theString, Int32 defaultNumber = 0)
        {
            Int32 number;
            var success = Int32.TryParse(theString, out number);
            return success ? number : defaultNumber;
        }

        public static Boolean ToBool(this String theString)
        {
            Boolean value;
            var success = Boolean.TryParse(theString, out value);
            return success && value;
        }

        public static T DownloadJson<T>(this WebClient client, String url)
        {
            String data;
            try
            {
                data = client.DownloadString(url);
            }
            catch
            {
                data = null;
            }
            if (String.IsNullOrEmpty(data))
                return default(T);

            var serializer = new JavaScriptSerializer { MaxJsonLength = Int32.MaxValue, RecursionLimit = 100 };
            var obj = serializer.Deserialize<T>(data);
            return obj;
        }
    }
}