﻿using System;
using System.IO;
using Microsoft.ClearScript;
using Sonora.Console.Framework.API.Xml;

namespace Sonora.Console.Framework
{
    public class SonoraConsole
    {
        public static void Initialize()
        {
            var settings = SonoraConfig.Load();

            settings.Engine.AddHostObject("out", new SonoraOutput(settings));
            settings.Engine.AddHostObject("xml", new XmlFacade());
            //settings.Engine.AddHostType("dt", typeof(DateTime));
            settings.Engine.AddHostObject("dotnet", new HostTypeCollection("mscorlib", "System.Core"));



            if (!settings.Engine.Name.ToLower().Contains("vb"))
                settings.Engine.Execute("String.prototype.contains = function(s) { return this.indexOf(s) != -1; };");

            // Set references for the outside world
            Settings = settings;
            ScriptEngine = settings.Engine;
            Output = settings.Buffer;
            Language = settings.Engine.Name.Replace("Engine", "").Replace("V8Script", "JavaScript (V8)");
        }

        public static ScriptEngine ScriptEngine { get; private set; }
        public static StringWriter Output { get; private set; }

        public static SonoraSettings Settings { get; private set; }
        public static String Language { get; private set; }
    }
}