﻿using System;
using System.IO;
using Microsoft.ClearScript;
using Microsoft.ClearScript.V8;

namespace Sonora.Console.Framework
{
    public class SonoraSettings
    {
        public SonoraSettings()
        {
            var defaultPath = Path.Combine(Directory.GetCurrentDirectory(), "Sonora");
            Directory.CreateDirectory(defaultPath);

            Buffer = new StringWriter();
            AutoClear = true;
            AppendNewLine = true;
            Engine = new V8ScriptEngine();
            OutputFolder = defaultPath;
            InputFolder = defaultPath;
            DefaultFileName = "sonora.txt";
        }

        public ScriptEngine Engine { get; set; }
        public StringWriter Buffer { get; set; }
        public Boolean AutoClear { get; set; }
        public Boolean AppendNewLine { get; set; }
        public String OutputFolder { get; set; }
        public String InputFolder { get; set; }
        public String DefaultFileName { get; set; }
    }
}