﻿using System.Windows;
using Sonora.Console.Presenters;

namespace Sonora.Console
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private readonly MainWindowPresenter _presenter;

        public MainWindow()
        {
            InitializeComponent();
            _presenter = new MainWindowPresenter();
            DataContext = _presenter;

            ButtonConfirm.Click += ButtonConfirmClick;
            ButtonShowInFolder.Click += ButtonShowInFolderClick;
            InputCommandText.Focus();
        }

        void ButtonShowInFolderClick(object sender, RoutedEventArgs e)
        {
            _presenter.ShowInFolder();
        }

        void ButtonConfirmClick(object sender, RoutedEventArgs e)
        {
            _presenter.Confirm();
        }
    }
}
