﻿using System;
using System.Diagnostics;
using Sonora.Console.Framework;

namespace Sonora.Console.Presenters
{
    public class MainWindowPresenter : PresenterBase
    {
        public MainWindowPresenter()
        {
            HeaderText = "Sonora Console";
            Command = "var x = 4\nout.print(x+1)";
            OutputText = "";
            ScriptingLanguage = SonoraConsole.Language;
        }

        private String _headerText;
        public String HeaderText
        {
            get { return _headerText; }
            set
            {
                _headerText = value;
                OnPropertyChanged("HeaderText");
            }
        }

        private String _command;
        public String Command
        {
            get { return _command; }
            set
            {
                _command = value;
                OnPropertyChanged("Script");
            }
        }

        private String _scriptingLanguage;
        public String ScriptingLanguage
        {
            get { return _scriptingLanguage; }
            set
            {
                _scriptingLanguage = value;
                OnPropertyChanged("ScriptingLanguage");
            }
        }

        private String _outputText;
        public String OutputText
        {
            get { return _outputText; }
            set
            {
                _outputText = value;
                OnPropertyChanged("OutputText");
            }
        }

        public void Confirm()
        {
            try
            {
                SonoraConsole.ScriptEngine.Execute(Command);
                OutputText = SonoraConsole.Output.ToString();
            }
            catch(Exception e)
            {
                OutputText = e.Message;
            }
        }

        public void ShowInFolder()
        {
            Process.Start(SonoraConsole.Settings.OutputFolder);
        }
    }
}