﻿using System;
using System.ComponentModel;

namespace Sonora.Console.Presenters
{
    /// <summary>
    /// Base class for presenters to use in the app: just support notifications.
    /// </summary>
    public class PresenterBase : INotifyPropertyChanged
    {
        #region INotifyPropertyChanged
        public event PropertyChangedEventHandler PropertyChanged;
        protected void OnPropertyChanged(String property)
        {
            var handler = PropertyChanged;
            if (handler != null)
            {
                handler(this, new PropertyChangedEventArgs(property));
            }
        }
        #endregion
    }
}